unit sqltoxmldialogs;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls, StdActns, ActnList, Menus, ToolWin, ImgList,
  TKSQLtoXML;

type
  TSqltoXMLDialog = class(TForm)
    Panel1: TPanel;
    MainMenu: TMainMenu;
    ToolBar1: TToolBar;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    SQLToXMLActions: TActionList;
    EditCopy: TEditCopy;
    EditCut: TEditCut;
    EditPaste: TEditPaste;
    EditSelectAll: TEditSelectAll;
    EditUndo: TEditUndo;
    SQLInput: TMemo;
    ResultsText: TMemo;
    Splitter1: TSplitter;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    Query1: TMenuItem;
    Execute1: TMenuItem;
    QueryExecute: TAction;
    ToolButton9: TToolButton;
    ToolButton10: TToolButton;
    Images: TImageList;
    QueryConnection: TAction;
    StatusBar: TStatusBar;
    N2: TMenuItem;
    SelectAll1: TMenuItem;
    Connection1: TMenuItem;
    EditDelete: TEditDelete;
    ClearAll1: TMenuItem;
    FileOpen: TAction;
    FileSave: TAction;
    FileExit: TAction;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    FileSaveResults: TAction;
    SaveResults1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure QueryExecuteExecute(Sender: TObject);
    procedure QueryConnectionExecute(Sender: TObject);
    procedure FileOpenExecute(Sender: TObject);
    procedure FileSaveExecute(Sender: TObject);
    procedure FileSaveResultsExecute(Sender: TObject);
  private
    { Private declarations }
    FSQLTOXml:TTKSQLtoXML;
  public
    { Public declarations }
  end;

var
  SqltoXMLDialog: TSqltoXMLDialog;

implementation

{$R *.DFM}

uses
  ADODB;

const
  cConnStr='Provider=SQLOLEDB.1;Password=secret;Persist Security Info=True;User ID=sa;Initial Catalog=bugdaydb;Data Source=localhost';

procedure TSqltoXMLDialog.FormCreate(Sender: TObject);
begin
  FSQLTOXml:=TTKSQLtoXML.Create(self);
  FSQLTOXml.ConnectionString:=cConnStr;
end;

procedure TSqltoXMLDialog.QueryExecuteExecute(Sender: TObject);
begin
  if FSQLTOXml.ConnectionString<>'' then
  begin
    FSQLToXML.SQL:=SQLInput.Lines.Text;
    FSQLTOXml.Execute;
    ResultsText.Lines.Text:=FSQLTOXml.XML;
  end
  else
    QueryConnection.Execute;  
end;

procedure TSqltoXMLDialog.QueryConnectionExecute(Sender: TObject);
begin
  FSQLTOXml.ConnectionString:=PromptDataSource(handle,'');
end;

procedure TSqltoXMLDialog.FileOpenExecute(Sender: TObject);
begin
  with OpenDialog do
    if OpenDialog.Execute then
      SQLInput.Lines.LoadFromFile(FileName);
end;

procedure TSqltoXMLDialog.FileSaveExecute(Sender: TObject);
begin
  with SaveDialog do
    if Execute then
      SQLInput.Lines.SaveToFile(FileName);
end;

procedure TSqltoXMLDialog.FileSaveResultsExecute(Sender: TObject);
begin
  
  with SaveDialog do
    if Execute then
      ResultsText.Lines.SaveToFile(FileName);
end;

end.
